
#language: ru

@SalesOfProductsRLS

Функционал: 012. SalesOfProductsRLS. Создание реализации товаров РЛС - Куриная ГП и корректировок

Сценарий: 012.1. SalesOfProductsRLS. Создание реализации товаров РЛС - Куриная ГП

	Дано Я подключаюсь под "Формирование накладных РЛС (Куриная ГП)"
	Дано я устанавливаю текущему сеансу заголовок приложения "16.012. РЛС Реализация товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '17.02.2020'
	И в поле 'DateEnd' я ввожу текст '17.02.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Транспорт/План отгрузки'             |
		| '51,250' | 'А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ДеревоПлановОтгрузки" я разворачиваю текущую строку
	Тогда таблица "ДеревоПлановОтгрузки" стала равной по шаблону:
		| 'Транспорт/План отгрузки'             | 'Факт' | 'Статус'        | 'План'   |
		| 'А524НВ Газель, Водитель Петров Петр' | ''     | ''              | '51,250' |
		| '*'                                   | ''     | 'Запланировано' | '51,250' |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'        |
		| '51,250' | 'Запланировано' |
	Тогда таблица "ТоварыПланаОтгрузки" стала равной:
		| 'Номенклатура'                             | 'Количество' |
		| 'Сыр Адыгейский / Ашан упак (5 кг) (Ашан)' | '10,000'     |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'План в Факт'
	Тогда таблица "ТоварыРаспоряженияНаОтгрузку" стала равной:
		| 'Распоряжение' | 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия' | 'В ед. хранения' |
		| ''             | '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | ''      | '51,250, кг'     |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я завершаю редактирование строки
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'Сохранить'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'        | 'Факт'   |
		| '51,250' | 'Запланировано' | '51,250' |
	Тогда таблица "ТоварыРаспоряженияНаОтгрузку" стала равной по шаблону:
		| 'Распоряжение'               | 'Количество' | 'Номенклатура'   | 'Ед.'                | 'Характеристика' | 'Серия'                        | 'В ед. хранения' |
		| 'Распоряжение на отгрузку *' | '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' | ''      |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку с подчиненными
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение/Заказ'        | 'Получатель'             | 'Вес'   | 'Накладная' | 'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' | ''                       | '102,5' | ''          | ''       |
		| 'Распоряжение на отгрузку *'          | ''                       | '102,5' | ''          | ''       |
		| 'Заказ клиента * от *'                | 'Ашан. Скидочный регион' | '102,5' | ''          | ''       |
	И я нажимаю на кнопку 'Сформировать'
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение/Заказ'        | 'Получатель'             | 'Вес'   | 'Накладная'            | 'Статус'       |
		| 'А524НВ Газель, Водитель Петров Петр' | ''                       | '102,5' | ''                     | 'Сформирована' |
		| 'Распоряжение на отгрузку *'          | ''                       | '102,5' | ''                     | 'Сформирована' |
		| 'Заказ клиента * от *'                | 'Ашан. Скидочный регион' | '102,5' | 'Реализация товаров *' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке по шаблону:
		| 'Вес'   | 'Накладная'            | 'Получатель'             | 'Статус'       | 'Транспорт/Распоряжение/Заказ' |
		| '102,5' | 'Реализация товаров *' | 'Ашан. Скидочный регион' | 'Сформирована' | 'Заказ клиента *'              |
	И в таблице "ДеревоДокументовОтгрузки" я активизирую поле "Накладная"
	И в таблице "ДеревоДокументовОтгрузки" я выбираю текущую строку
	Тогда открылось окно 'Реализация товаров * от *'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'                | 'Ашан'           | '4 726,79'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '92,23'     | '787,80'    | '4 726,79'   | 'Куриная ГП' | '102,5'   |
	И Я закрываю окно 'Реализация товаров * от *'
	Тогда открылось окно 'Формирование накладных'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 012.2. SalesOfProductsRLS. Установка статуса выдана у накладной РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '17.02.2020'
	И в поле 'DateEnd' я ввожу текст '17.02.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		| 'Статус'       |
		| 'А524НВ Газель, Водитель Петров Петр' | 'Сформирована' |
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Выдать'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 012.3. SalesOfProductsRLS. АРМ Возврат и корректировка накладных - Корректировка первичной накладной РЛС - Куриная ГП

	Дано я удаляю объекты "Документы.КорректировкаРеализации" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Возврат и корректировка накладных'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текущую дату
	И в поле 'DateEnd' я ввожу текущую дату
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю на кнопку 'ФормаОбновитьДеревоНакладных'
	И в таблице "ДеревоНакладных" я разворачиваю строку:
		| 'Транспорт, Водитель / Накладная / Корректировка' |
		| 'А524НВ Газель, Водитель Петров Петр'             |
	И в таблице "ДеревоНакладных" я перехожу к строке:
		| 'Получатель'             |
		| 'Ашан. Скидочный регион' |
	И я нажимаю на кнопку 'Скорректировать'
	Тогда открылось окно 'Корректировка документа'
	И я меняю значение переключателя 'Вид корректировки' на 'Корректировка первичной накладной'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'       | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '4 726,79'    | 'Ашан'           | '51,250, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '51,250, кг' | 'кг'          | '92,23'             | '92,23' | ''                 | '4 726,79'                 | ''                        | ''                    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '15,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'Растяжение'  | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'       | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '7 090,18'    | 'Ашан'           | 'Расхождение' | '51,250, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '76,875, кг' | '25,625, кг'  | '92,23'             | '92,23' | ''                 | '4 726,79'                 | '2 363,39'                | ''                    |
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И Я закрываю окно 'Возврат и корректировка накладных'

Сценарий: 012.4. SalesOfProductsRLS. Корректировка первичной накладной - проверка РТУ РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выдана'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Реализация товаров * от *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '15,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'                | 'Ашан'           | '7 090,18'   | '000001 до 27.10.2020 0:00:00' | '76,875, кг'     | '92,23'     | '1 181,70'  | '7 090,18'   | 'Куриная ГП' | '153,75'  |
	И Я закрываю окно 'Реализация товаров * от *'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 012.5. SalesOfProductsRLS. АРМ Возврат и корректировка накладных - Исправление ошибок РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Возврат и корректировка накладных'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текущую дату
	И в поле 'DateEnd' я ввожу текущую дату
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю на кнопку 'ФормаОбновитьДеревоНакладных'
	И в таблице "ДеревоНакладных" я разворачиваю строку:
		| 'Транспорт, Водитель / Накладная / Корректировка' |
		| 'А524НВ Газель, Водитель Петров Петр'             |
	И в таблице "ДеревоНакладных" я перехожу к строке:
		| 'Получатель'             |
		| 'Ашан. Скидочный регион' |
	И я нажимаю на кнопку 'Скорректировать'
	Тогда открылось окно 'Корректировка документа'
	И я меняю значение переключателя 'Вид корректировки' на 'Создание "Корректировки реализации" с типом "Исправление ошибок"'
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'Растяжение'  | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'       | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '7 090,18'    | 'Ашан'           | 'Расхождение' | '76,875, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '76,875, кг' | 'кг'          | '92,23'             | '92,23' | ''                 | '7 090,18'                 | ''                        | ''                    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'Растяжение'  | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'       | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '4 726,79'    | 'Ашан'           | 'Расхождение' | '76,875, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '51,250, кг' | '-25,625, кг' | '92,23'             | '92,23' | ''                 | '7 090,18'                 | '-2 363,39'               | ''                    |
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И Я закрываю окно 'Возврат и корректировка накладных'

Сценарий: 012.6. SalesOfProductsRLS. Исправление ошибок - проверка корректировки РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Соглашение'                                 | 'Сумма'         | 'Точка доставки'         |
		| 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Соглашение для Ашана по Скидочному региону' | '4 726,79, RUB' | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Корректировка реализации товаров * от *'
	И я перехожу к закладке "Товары"
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'                | 'Ашан'           | '4 726,79'   | '000001 до 27.10.2020 0:00:00' | '51,250, кг'     | '92,23'     | '787,80'   | '4 726,79'   | 'Куриная ГП' | '102,5'   |
	И таблица "Расхождения" стала равной:
		| 'Количество' | 'Номенклатура'   | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Ед.'                | 'В ед. хранения' | 'Цена' | 'Сумма'     | 'Сумма НДС' | 'Всего'     | 'Склад'      | 'Причина' |
		| '-5,000'     | 'Сыр Адыгейский' | '20%'   | ''                     | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '-25,625, кг'    | ''     | '-2 363,39' | '-393,90'   | '-2 363,39' | 'Куриная ГП' | ''        |
	И Я закрываю окно 'Корректировка реализации товаров * от *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 012.7. SalesOfProductsRLS. АРМ Возврат и корректировка накладных - Корректировка корректировки РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Возврат и корректировка накладных'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текущую дату
	И в поле 'DateEnd' я ввожу текущую дату
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И из выпадающего списка "Склад" я выбираю по строке 'Куриная ГП'
	И я нажимаю на кнопку 'ФормаОбновитьДеревоНакладных'
	И в таблице "ДеревоНакладных" я разворачиваю строку:
		| 'Транспорт, Водитель / Накладная / Корректировка' |
		| 'А524НВ Газель, Водитель Петров Петр'             |
	И в таблице "ДеревоНакладных" я перехожу к строке:
		| 'Получатель'             |
		| 'Ашан. Скидочный регион' |
	И в таблице "ДеревоНакладных" я перехожу на одну строку вниз
	И я нажимаю на кнопку 'Скорректировать'
	Тогда открылось окно 'Корректировка документа'
	И я меняю значение переключателя 'Вид корректировки' на 'Создание "Корректировки реализации" с типом "Корректировка по соглашению сторон"'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'Растяжение'  | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'       | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '4 726,79'    | 'Ашан'           | 'Расхождение' | '51,250, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '51,250, кг' | 'кг'          | '92,23'             | '92,23' | ''                 | '4 726,79'                 | ''                        | ''                    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Номенклатура'   | 'Сумма с НДС' | 'Характеристика' | 'Растяжение'  | 'По документу' | 'Серия'                        | 'Ед. изм.'           | 'Факт'        | 'Расхождение' | 'Цена по документу' | 'Цена'  | 'Цена расхождение' | 'Сумма с НДС по документу' | 'Сумма с НДС расхождение' | 'Причина расхождения' |
		| 'Сыр Адыгейский' | '9 453,58'    | 'Ашан'           | 'Расхождение' | '51,250, кг'   | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '102,500, кг' | '51,250, кг'  | '92,23'             | '92,23' | ''                 | '4 726,79'                 | '4 726,79'                | ''                    |
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Возврат и корректировка накладных'
	И я нажимаю на кнопку 'Установить статус "Возвращена"'
	И Я закрываю окно 'Возврат и корректировка накладных'

Сценарий: 012.8. SalesOfProductsRLS. Корректировка по соглашению сторон - проверка корректировки корректировки РЛС - Куриная ГП

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Соглашение'                                 | 'Сумма'         | 'Точка доставки'         |
		| 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Соглашение для Ашана по Скидочному региону' | '9 453,58, RUB' | 'Ашан. Скидочный регион' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Корректировка реализации товаров * от *'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'      | 'Вес, кг' |
		| '20,000'     | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'                | 'Ашан'           | '9 453,58'   | '000001 до 27.10.2020 0:00:00' | '102,500, кг'    | '92,23'     | '1 575,60'  | '9 453,58'   | 'Куриная ГП' | '205'     |
	Тогда таблица "Расхождения" стала равной:
		| 'Количество' | 'Номенклатура'   | '% НДС' | 'Цена с учетом скидок' | 'Характеристика' | 'Серия'                        | 'Ед.'                | 'В ед. хранения' | 'Цена' | 'Сумма'    | 'Сумма НДС' | 'Всего'    | 'Склад'      | 'Причина' |
		| '10,000'     | 'Сыр Адыгейский' | '20%'   | ''                     | 'Ашан'           | '000001 до 27.10.2020 0:00:00' | 'упак (5 кг) (Ашан)' | '51,250, кг'     | ''     | '4 726,79' | '787,80'    | '4 726,79' | 'Куриная ГП' | ''        |
	И Я закрываю окно 'Корректировка реализации товаров * от *'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: 012.9. SalesOfProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT

